"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getSelectionRange = getSelectionRange;

var _isContentEditable = require("./isContentEditable");

function getSelectionRange(element) {
  if ((0, _isContentEditable.isContentEditable)(element)) {
    const selection = element.ownerDocument.getSelection();
    const range = selection == null ? void 0 : selection.getRangeAt(0); // istanbul ignore else

    if (range) {
      return {
        selectionStart: range.startOffset,
        selectionEnd: range.endOffset
      };
    } else {
      return {
        selectionStart: null,
        selectionEnd: null
      };
    }
  }

  return {
    selectionStart: element.selectionStart,
    selectionEnd: element.selectionEnd
  };
}