"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setSelectionRangeIfNecessary = setSelectionRangeIfNecessary;

var _isContentEditable = require("./isContentEditable");

var _getSelectionRange = require("./getSelectionRange");

function setSelectionRangeIfNecessary(element, newSelectionStart, newSelectionEnd) {
  const {
    selectionStart,
    selectionEnd
  } = (0, _getSelectionRange.getSelectionRange)(element);

  if (!(0, _isContentEditable.isContentEditable)(element) && (!element.setSelectionRange || selectionStart === null)) {
    // cannot set selection
    return;
  }

  if (selectionStart !== newSelectionStart || selectionEnd !== newSelectionStart) {
    if ((0, _isContentEditable.isContentEditable)(element)) {
      const range = element.ownerDocument.createRange();
      range.selectNodeContents(element); // istanbul ignore else

      if (element.firstChild) {
        range.setStart(element.firstChild, newSelectionStart);
        range.setEnd(element.firstChild, newSelectionEnd);
      }

      const selection = element.ownerDocument.getSelection(); // istanbul ignore else

      if (selection) {
        selection.removeAllRanges();
        selection.addRange(range);
      }
    } else {
      ;
      element.setSelectionRange(newSelectionStart, newSelectionEnd);
    }
  }
}